org.apache.ignite.internal.processors.cache.persistence.filename

## Class PdsConsistentIdProcessor.FolderCandidate

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.filename.PdsConsistentIdProcessor.FolderCandidate

Enclosing class:
  PdsConsistentIdProcessor

    public static class PdsConsistentIdProcessor.FolderCandidate
    extends Object

Represents parsed new style file and encoded parameters in this file name

### Constructor Summary

Constructors
Constructor and Description
`FolderCandidate(File subFolderFile, int nodeIdx, UUID uuid)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `nodeIndex()`
`File` `subFolderFile()`
`Serializable` `uuid()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FolderCandidate

    public FolderCandidate(File subFolderFile,
                           int nodeIdx,
                           UUID uuid)

Parameters:
  `subFolderFile` - Absolute file path pointing to DB subfolder.
  `nodeIdx` - Node index.
  `uuid` - Uuid.

### Method Detail

#### nodeIndex

    public int nodeIndex()

Returns:
  Node index (local, usually 0 if multiple nodes are not started at local PC).

#### uuid

    public Serializable uuid()

Returns:
  Uuid contained in file name, is to be set as consistent ID.

#### subFolderFile

    public File subFolderFile()

Returns:
  Absolute file path pointing to DB subfolder within DB storage root folder.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018